Page MenuHomePhabricator

Can't change number of results selector after you click trashcan
Closed, ResolvedPublic

Description

On production

  1. Go to the Recent Changes page (with the New Filters beta)
  2. Load a saved filter (I'm not positive if this is required or not)
  3. Click the trashcan to delete all filters
  4. Use the number of results selector to change the number of results to display

Expected result: you change the number
Actual result: the number doesn't change

Note: The above steps wmf 13 work as expected.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2017, 11:46 AM
Etonkovidova renamed this task from Can't change number of results selector after you click trashcan to [betalabs] Can't change number of results selector after you click trashcan.Aug 14 2017, 5:09 PM
Etonkovidova updated the task description. (Show Details)

@Etonkovidova You added "betalabs" to the title. I saw this bug on production, not beta. Does that matter?

jmatazzoni renamed this task from [betalabs] Can't change number of results selector after you click trashcan to Can't change number of results selector after you click trashcan.Aug 16 2017, 8:37 PM
jmatazzoni updated the task description. (Show Details)

Change 372428 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Fix validation for single_option groups

https://gerrit.wikimedia.org/r/372428

Change 372428 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Fix validation for single_option groups

https://gerrit.wikimedia.org/r/372428

Change 372449 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.14] RCFilters: Fix validation for single_option groups

https://gerrit.wikimedia.org/r/372449

Change 372449 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.14] RCFilters: Fix validation for single_option groups

https://gerrit.wikimedia.org/r/372449

Mentioned in SAL (#wikimedia-operations) [2017-08-17T23:21:57Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.14/resources/src/mediawiki.rcfilters/dm/mw.rcfilters.dm.FilterGroup.js: SWAT: [[gerrit:372449|RCFilters: Fix validation for single_option groups]] T173303 (duration: 00m 44s)

Checked the fix in betalabs.

Etonkovidova closed this task as Resolved.Aug 24 2017, 12:03 AM